package Utils;

public class SetsUSf {

    private int[] elements;
    private int numElements;

    public SetsUSf(int numScopes){
        // allocate all arrays
        elements = new int[numScopes];
        numElements = 0;
    }

    public void erase(){
        numElements = 0;
    }

    public void add(int scopeId){
        elements[numElements++] = scopeId;
    }

    public int numElements(){
        return numElements;
    }

    public int getElement(int elemOrder){
        return elements[elemOrder];
    }

    public boolean contains(int scopeId){
        for (int i = 0; i < numElements; i++) {
            if(elements[i] == scopeId){
                return true;
            }
        }
        return false;
    }
}
